Package com.usatiuk.objects

# Interface JObjectKey

All Superinterfaces:
  `Comparable<JObjectKey>`, `Serializable`

All Known Implementing Classes:
  `JObjectKeyImpl`, `JObjectKeyMax`, `JObjectKeyMin`

public sealed interface JObjectKey extends Serializable, Comparable<JObjectKey> permits JObjectKeyImpl, JObjectKeyMax, JObjectKeyMin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final JObjectKeyMax`
`MAX`
`static final JObjectKeyMin`
`MIN`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(JObjectKey o)`
`static JObjectKey`
`first()`
`static JObjectKey`
`fromByteBuffer(ByteBuffer buff)`
`static JObjectKey`
`fromBytes(byte[] bytes)`
`static JObjectKey`
`last()`
`static JObjectKey`
`of(String value)`
`static JObjectKey`
`random()`
`ByteBuffer`
`toByteBuffer()`
`String`
`toString()`
`String`
`value()`

## Field Details

### MIN

static final JObjectKeyMin MIN

### MAX

static final JObjectKeyMax MAX

## Method Details

### of

static JObjectKey of(String value)

### random

static JObjectKey random()

### first

static JObjectKey first()

### last

static JObjectKey last()

### fromBytes

static JObjectKey fromBytes(byte[] bytes)

### fromByteBuffer

static JObjectKey fromByteBuffer(ByteBuffer buff)

### compareTo

int compareTo(JObjectKey o)

Specified by:
  `compareTo` in interface `Comparable<JObjectKey>`

### toString

String toString()

Overrides:
  `toString` in class `Object`

### toByteBuffer

ByteBuffer toByteBuffer()

### value

String value()